package jp.programmingmat.www.gbtkgl10;

/**
 * worldに追加・描画可能なオブジェクトを定義するインターフェース。
 */
public interface GbtkGL10IDrawableObject {

	abstract void draw(GbtkGL10World world);
	abstract void draw(GbtkGL10World world, float dx, float dy, float dz);
	abstract void draw(GbtkGL10World world, float dx, float dy, float dz, float rx, float ry, float rz);
	abstract void draw(GbtkGL10World world, GbtkGL10Vector3f position);
	abstract void draw(GbtkGL10World world, GbtkGL10Transform transform);
	
}